const counter = {
  state: {
    deviceID: '868575028779793',
    mapClick: false
  },
  mutations: {
    CHANGE_DEVICE_ID: (state, deviceID) => {
      state.deviceID = deviceID
      localStorage.deviceID = deviceID
    },
    CHANGE_MAP_CLICK: (state, mapClick) => {
      state.mapClick = mapClick
    }
  },
  actions: {
    changeDeviceID({ commit }, deviceID) {
      commit('CHANGE_DEVICE_ID', deviceID)
    },
    changeMapClick({ commit }, mapClick) {
      commit('CHANGE_MAP_CLICK', mapClick)
    }
  }
}

try {
  if (localStorage.deviceID) {
    counter.state.deviceID = localStorage.deviceID
  }
} catch (e) {
  console.log(e)
}

export default counter
